
/////////////////// индикатор наполнения ёмкости жидкостью
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
extern const unsigned char schkala_A[];

int t = 30; // пауза между считываниями потенциометра
int pp = 0; // переменная для хранения предыдущего значения уровня

void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
}

void loop()
{
  myOLED.drawBitmap(0, 0, schkala_A, 128, 64); // рисование картинки ёмкости
  int p = map(analogRead(A0), 0, 1023, 15, 122); // считывание потенциометра и определение высоты уровня жидкости
  if (abs(p - pp) > 1) { //если значение уровня поменялось выше порогового в 1 единицу
    myOLED.drawRect(p, 8, 122, 54); // прорисовка контура столба жидкости
    for (int i = 0; i < 2000 - p * 15; i++) { // прорисовка столба жидкости
      int x = random(p, 122);
      int y = random(8, 54);
      myOLED.setPixel(x , y );
    }
    myOLED.update(); delay(t);
    pp = p; //запоминание "нового предыдущего" значения
  }
}

